Useful or not, from you.
react-native-firebase RNFirebase core module was not found natively on Android, ensure you have correctly added the RNFirebase and Firebase gradle dependencies to your `android/app/build.gradle` file.

file android/app/build.gradle

dependencies { compile(project(':react-native-firebase')) { transitive = false } compile "com.google.android.gms:play-services-base:11.6.0" compile "com.google.firebase:firebase-core:11.6.0" compile "com.google.firebase:firebase-analytics:11.6.0" compile fileTree(dir: "libs", include: ["*.jar"]) compile "com.android.support:appcompat-v7:23.0.1" compile "com.facebook.react:react-native:+" // From node_modules }

file android/build.gradle

buildscript { repositories { jcenter() google() } dependencies { classpath 'com.android.tools.build:gradle:3.0.1' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files classpath 'com.google.gms:google-services:3.1.1' } } allprojects { repositories { mavenLocal() jcenter() maven { // All of React Native (JS, Obj-C sources, Android binaries) is installed from npm url "$rootDir/../node_modules/react-native/android" } // ------------------------------------------------- // Add this below the existing maven property above // ------------------------------------------------- maven { url 'https://maven.google.com' } } }

"react": "16.0.0-alpha.12", "react-native": "0.48.3", "react-native-firebase": "^3.1.1"

That's a useful answer
Without any help

has any one found a solution for this,